Install our app 🪄 click on the icon in the top right of the address bar.

Server monitors

GET https://app.dajaup.com/api/server-monitors/
curl --request GET \
--url 'https://app.dajaup.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name, target.
is_enabled Optional Boolean
datetime_field Optional String Allowed values: datetime, last_datetime, last_log_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "notifications": [],
            "settings": [],
            "uptime": 1,
            "network_total_download": 1,
            "network_download": 1,
            "network_total_upload": 1,
            "network_upload": 1,
            "os_name": "Example",
            "os_version": "Example",
            "kernel_name": "Example",
            "kernel_version": "Example",
            "kernel_release": "Example",
            "cpu_architecture": "Example",
            "cpu_model": "Example",
            "cpu_cores": 1,
            "cpu_frequency": 1,
            "cpu_usage": 1.5,
            "ram_usage": 1.5,
            "ram_used": 1.5,
            "ram_total": 1.5,
            "disk_usage": 1.5,
            "disk_used": 1.5,
            "disk_total": 1.5,
            "cpu_load_1": 1.5,
            "cpu_load_5": 1.5,
            "cpu_load_15": 1.5,
            "is_enabled": true,
            "total_logs": 1,
            "last_log_datetime": null,
            "datetime": "2026-09-07 17:09:27",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://app.dajaup.com/api/server-monitors?page=1",
        "last": "https://app.dajaup.com/api/server-monitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://app.dajaup.com/api/server-monitors?page=1"
    }
}
GET https://app.dajaup.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://app.dajaup.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-07 17:09:27",
        "last_datetime": null
    }
}
POST https://app.dajaup.com/api/server-monitors
Parameters Details Description
name Required String -
target Required String -
project_id Optional Integer -
notifications Optional Array Notification handler ids
server_check_interval_seconds Optional Integer Allowed values: 60, 300, 600, 900, 1800 (seconds)
alert_metric[key] Optional String Allowed values: cpu_usage, disk_usage, ram_usage
alert_rule[key] Optional String Allowed values: is_higher, is_lower
alert_value[key] Optional String Allowed values: 1-99
alert_trigger[key] Optional String Allowed values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Optional Boolean -
curl --request POST \
--url 'https://app.dajaup.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": "Example",
        "network_download": "Example",
        "network_total_upload": "Example",
        "network_upload": "Example",
        "os_name": null,
        "os_version": null,
        "kernel_name": null,
        "kernel_version": null,
        "kernel_release": null,
        "cpu_architecture": null,
        "cpu_model": null,
        "cpu_cores": "Example",
        "cpu_frequency": "Example",
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-07 17:09:27",
        "last_datetime": null
    }
}
POST https://app.dajaup.com/api/server-monitors/{server_monitor_id}
Parameters Details Description
name Required String -
target Required String -
project_id Optional Integer -
notifications Optional Array Notification handler ids
server_check_interval_seconds Optional Integer Allowed values: 60, 300, 600, 900, 1800 (seconds)
alert_metric[key] Optional String Allowed values: cpu_usage, disk_usage, ram_usage
alert_rule[key] Optional String Allowed values: is_higher, is_lower
alert_value[key] Optional String Allowed values: 1-99
alert_trigger[key] Optional String Allowed values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
is_enabled Optional Boolean -
curl --request POST \
--url 'https://app.dajaup.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "notifications": [],
        "settings": [],
        "uptime": 1,
        "network_total_download": 1,
        "network_download": 1,
        "network_total_upload": 1,
        "network_upload": 1,
        "os_name": "Example",
        "os_version": "Example",
        "kernel_name": "Example",
        "kernel_version": "Example",
        "kernel_release": "Example",
        "cpu_architecture": "Example",
        "cpu_model": "Example",
        "cpu_cores": 1,
        "cpu_frequency": 1,
        "cpu_usage": 1.5,
        "ram_usage": 1.5,
        "ram_used": 1.5,
        "ram_total": 1.5,
        "disk_usage": 1.5,
        "disk_used": 1.5,
        "disk_total": 1.5,
        "cpu_load_1": 1.5,
        "cpu_load_5": 1.5,
        "cpu_load_15": 1.5,
        "is_enabled": true,
        "total_logs": 1,
        "last_log_datetime": null,
        "datetime": "2026-09-07 17:09:27",
        "last_datetime": null
    }
}
DELETE https://app.dajaup.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://app.dajaup.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \